Bug 136036 - [PATCH] www/cherokee: update to 0.99.19
Summary: [PATCH] www/cherokee: update to 0.99.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-25 15:40 UTC by Jaime Bozza
Modified: 2009-07-08 15:20 UTC (History)
0 users

See Also:


Attachments
file.diff (53.26 KB, patch)
2009-06-25 15:40 UTC, Jaime Bozza
no flags Details | Diff
cherokee0992to09920.patch.txt (53.31 KB, text/plain)
2009-07-01 18:32 UTC, Jaime Bozza
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaime Bozza 2009-06-25 15:40:01 UTC
Update www/cherokee to latest version: 0.99.19

Removed Files:
-files/patch-cherokee-connection.c
-files/patch-cherokee-handler_cgi_base.c
-files/patch-cherokee-util.h

Updated MASTER_SITES to current working list.
Removed options no longer available (OPENSSL/GNUTLS choice)
Added additional options (GEOIP/FFMPEG knobs)
Added ability to use internal PCRE
Added ability to turn off ADMIN interface, removing python requirement
Rebuilt plist

Port tested on 7.2-STABLE (amd64 and i386), 7.1-RELEASE, 6.3-STABLE

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-06-25 15:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jaime Bozza 2009-07-01 18:32:28 UTC
New patch to update to 0.99.20.

Jaime Bozza
Comment 3 Pav Lucistnik freebsd_committer 2009-07-08 15:12:25 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2009-07-08 15:12:45 UTC
pav         2009-07-08 14:12:36 UTC

  FreeBSD ports repository

  Modified files:
    www/cherokee         Makefile distinfo pkg-plist 
  Removed files:
    www/cherokee/files   patch-cherokee-connection.c 
                         patch-cherokee-handler_cgi_base.c 
                         patch-cherokee-util.h 
  Log:
  - Update to 0.99.20
  
  PR:             ports/136036
  Submitted by:   Jaime Bozza <jbozza@mindsites.com>
  
  Revision  Changes    Path
  1.62      +71 -26    ports/www/cherokee/Makefile
  1.33      +3 -3      ports/www/cherokee/distinfo
  1.4       +0 -10     ports/www/cherokee/files/patch-cherokee-connection.c (dead)
  1.5       +0 -11     ports/www/cherokee/files/patch-cherokee-handler_cgi_base.c (dead)
  1.5       +0 -17     ports/www/cherokee/files/patch-cherokee-util.h (dead)
  1.25      +509 -433  ports/www/cherokee/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"